> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check your access in another tenant

> With a personal access key of yours from the other tenant, check whether
you can set a share up there. The key is used for this call and the
setup only, and never stored.

**Required roles**: `nx1_catalog_admin`



## OpenAPI

````yaml post /api/data-shares/tenants/sign-in
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/data-shares/tenants/sign-in:
    post:
      tags:
        - Data shares
      summary: Check your access in another tenant
      description: |-
        With a personal access key of yours from the other tenant, check whether
        you can set a share up there. The key is used for this call and the
        setup only, and never stored.

        **Required roles**: `nx1_catalog_admin`
      operationId: remote_sign_in_api_data_shares_tenants_sign_in_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RemoteSignInRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RemoteSignInResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Too Many Requests
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    RemoteSignInRequest:
      properties:
        api_url:
          type: string
          maxLength: 500
          title: Api Url
        access_key:
          type: string
          maxLength: 512
          minLength: 8
          title: Access Key
          description: A personal access key (PSK) of yours there.
      type: object
      required:
        - api_url
        - access_key
      title: RemoteSignInRequest
    RemoteSignInResponse:
      properties:
        username:
          type: string
          title: Username
        catalog_admin:
          type: boolean
          title: Catalog Admin
        grant_admin:
          type: boolean
          title: Grant Admin
        can_set_up:
          type: boolean
          title: Can Set Up
        message:
          type: string
          title: Message
      type: object
      required:
        - username
        - catalog_admin
        - grant_admin
        - can_set_up
        - message
      title: RemoteSignInResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.